Subject: Re: bug#43331: guix repl doesn't find the script to execute

From: Konrad Hinsen <[email-masked]>
Date: Fri, 11 Sep 2020 17:31:58 +0200

Hi Simon,

> It sounds similar to the recent #42543 [1].  I proposed the fix [2]
> using 'canonicalize-path' but Ludo was not fine with it and then
> committed d10474c38d58bdc676e64336769dc2e00cdfa8ed [3].

Thanks for the references, all that happened while I was on vacation.

There is indeed some parallel, but also an important difference:
the -L option requires searching LOADPATH plus following local relative
filenames. "guix repl" does not search LOADPATH.

But I am happy I didn't use 'canonicalize-path' in my patch ;-)

Cheers,
  Konrad.